[PATCH] RFC - change GPRS cipher API

Harald Welte laforge at gnumonks.org
Sun Dec 1 13:35:01 UTC 2013


Hi Max,

On Wed, Nov 27, 2013 at 05:33:58PM +0100, ☎ wrote:
> Attached is a trivial patch which breaks existing GPRS cipher API of
> libosmocore by switching from fixed 64-bit length Kc to
> variable-length.

I like it.

> There are several justifications for that:

Agreed.

> - nobody uses this API anyway (except my other patches with GEA)

Well, there is libosmo-crypt-a53, which impements also GEA3 and which
registers a cipher.  That would need to change, too.

> That's why I think next libosmocore version should apply this patch
> and change unused API before someone actually start using it and makes
> transition more difficult.

There may very well be existing code that you or I don't know about.

We will have to change LIBVERSION to announce ABI breakage, but that's
not a problem...

Regards,
	Harald
-- 
- Harald Welte <laforge at gnumonks.org>           http://laforge.gnumonks.org/
============================================================================
"Privacy in residential applications is a desirable marketing option."
                                                  (ETSI EN 300 175-7 Ch. A6)




More information about the baseband-devel mailing list